package com.ruoyi.system.utils.dbsync.util;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class SqlUtil {
   public static ResultSet executeSql(Connection conn, String sql) throws SQLException {
      Statement stmt = conn.createStatement();
      stmt.setQueryTimeout(20);
      ResultSet rs = stmt.executeQuery(sql);
      return rs;
   }

   public static void executeSqlWithTransaction(Connection conn, String sql) throws SQLException {
      conn.setAutoCommit(false);

      try {
         Statement stmt = conn.createStatement();

         try {
            stmt.setQueryTimeout(30);
            stmt.executeUpdate(sql);
            conn.commit();
         } catch (Throwable var11) {
            if (stmt != null) {
               try {
                  stmt.close();
               } catch (Throwable var10) {
                  var11.addSuppressed(var10);
               }
            }

            throw var11;
         }

         if (stmt != null) {
            stmt.close();
         }
      } catch (SQLException var12) {
         SQLException e = var12;
         conn.rollback();
         throw e;
      } finally {
         conn.setAutoCommit(true);
      }

   }

   public static void executeBatchSqlWithTransaction(Connection conn, String[] sqlStatements) throws SQLException {
      conn.setAutoCommit(false);

      try {
         Statement stmt = conn.createStatement();

         try {
            stmt.setQueryTimeout(20);
            String[] var3 = sqlStatements;
            int var4 = sqlStatements.length;

            for(int var5 = 0; var5 < var4; ++var5) {
               String sql = var3[var5];
               stmt.addBatch(sql);
            }

            stmt.executeBatch();
            conn.commit();
         } catch (Throwable var13) {
            if (stmt != null) {
               try {
                  stmt.close();
               } catch (Throwable var12) {
                  var13.addSuppressed(var12);
               }
            }

            throw var13;
         }

         if (stmt != null) {
            stmt.close();
         }
      } catch (SQLException var14) {
         SQLException e = var14;
         conn.rollback();
         throw e;
      } finally {
         conn.setAutoCommit(true);
      }

   }

   public static void ddl(Connection conn, String sql) {
      try {
         Statement stmt = conn.createStatement();
         stmt.setQueryTimeout(200);
         stmt.execute(sql);
      } catch (Exception var3) {
         Exception e = var3;
         System.out.println("ddl fail");
         e.printStackTrace();
      }

   }

   public static String getDbString(String s) {
      return "'" + s + "'";
   }
}
